<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <link href='/webjars/bootstrap/css/bootstrap.min.css' rel='stylesheet'>

    <meta charset="UTF-8">
    <title>Memsource</title>
</head>
<body>

<nav class="navbar navbar-expand-lg navbar-dark bg-dark" th:fragment="header">
    <a class="navbar-brand" href="/">
        <svg viewBox="0 0 136 21" id="icon-logo" width="100%" height="100%"><title>logo</title>
            <g transform="translate(-2.000000, -2.000000)">
                <g transform="translate(2.000000, 2.000000)">
                    <path d="M30.376,0.4 L26.092,0.4 L26.092,20 L28.78,20 L28.78,6.14 L31.076,20 L33.988,20 L36.116,5.944 L36.116,20 L39.028,20 L39.028,0.4 L34.744,0.4 L32.644,14.316 L30.376,0.4 Z M45.028,3.2 L50.348,3.2 L50.348,0.4 L41.948,0.4 L41.948,20 L50.348,20 L50.348,17.2 L45.028,17.2 L45.028,11.46 L49.256,11.46 L49.256,8.66 L45.028,8.66 L45.028,3.2 Z M57.188,0.4 L52.904,0.4 L52.904,20 L55.592,20 L55.592,6.14 L57.888,20 L60.8,20 L62.928,5.944 L62.928,20 L65.84,20 L65.84,0.4 L61.556,0.4 L59.456,14.316 L57.188,0.4 Z M68.368,5.104 C68.368,10.704 74.388,11.46 74.388,15.492 C74.388,16.892 73.772,17.396 72.792,17.396 C71.812,17.396 71.196,16.892 71.196,15.492 L71.196,14.092 L68.284,14.092 L68.284,15.296 C68.284,18.432 69.852,20.224 72.876,20.224 C75.9,20.224 77.468,18.432 77.468,15.296 C77.468,9.696 71.448,8.94 71.448,4.908 C71.448,3.508 72.008,2.976 72.988,2.976 C73.968,2.976 74.528,3.508 74.528,4.908 L74.528,5.72 L77.44,5.72 L77.44,5.104 C77.44,1.968 75.9,0.176 72.904,0.176 C69.908,0.176 68.368,1.968 68.368,5.104 Z M82.74,4.908 L82.74,15.492 C82.74,16.892 83.356,17.424 84.336,17.424 C85.316,17.424 85.932,16.892 85.932,15.492 L85.932,4.908 C85.932,3.508 85.316,2.976 84.336,2.976 C83.356,2.976 82.74,3.508 82.74,4.908 Z M79.66,15.296 L79.66,5.104 C79.66,1.968 81.312,0.176 84.336,0.176 C87.36,0.176 89.012,1.968 89.012,5.104 L89.012,15.296 C89.012,18.432 87.36,20.224 84.336,20.224 C81.312,20.224 79.66,18.432 79.66,15.296 Z M91.54,0.4 L91.54,15.324 C91.54,18.46 93.108,20.252 96.132,20.252 C99.156,20.252 100.724,18.46 100.724,15.324 L100.724,0.4 L97.812,0.4 L97.812,15.52 C97.812,16.92 97.196,17.424 96.216,17.424 C95.236,17.424 94.62,16.92 94.62,15.52 L94.62,0.4 L91.54,0.4 Z M113.08,20 L109.944,20 C109.776,19.496 109.664,19.188 109.664,17.592 L109.664,14.512 C109.664,12.692 109.048,12.02 107.648,12.02 L106.584,12.02 L106.584,20 L103.504,20 L103.504,0.4 L108.152,0.4 C111.344,0.4 112.716,1.884 112.716,4.908 L112.716,6.448 C112.716,8.464 112.072,9.78 110.7,10.424 C112.24,11.068 112.744,12.552 112.744,14.596 L112.744,17.62 C112.744,18.572 112.772,19.272 113.08,20 Z M108.068,3.2 L106.584,3.2 L106.584,9.22 L107.788,9.22 C108.936,9.22 109.636,8.716 109.636,7.148 L109.636,5.216 C109.636,3.816 109.16,3.2 108.068,3.2 Z M121.46,12.692 L121.46,15.492 C121.46,16.892 120.844,17.396 119.864,17.396 C118.884,17.396 118.268,16.892 118.268,15.492 L118.268,4.908 C118.268,3.508 118.884,2.976 119.864,2.976 C120.844,2.976 121.46,3.508 121.46,4.908 L121.46,7.008 L124.372,7.008 L124.372,5.104 C124.372,1.968 122.804,0.176 119.78,0.176 C116.756,0.176 115.188,1.968 115.188,5.104 L115.188,15.296 C115.188,18.432 116.756,20.224 119.78,20.224 C122.804,20.224 124.372,18.432 124.372,15.296 L124.372,12.692 L121.46,12.692 Z M130.008,3.2 L135.328,3.2 L135.328,0.4 L126.928,0.4 L126.928,20 L135.328,20 L135.328,17.2 L130.008,17.2 L130.008,11.46 L134.236,11.46 L134.236,8.66 L130.008,8.66 L130.008,3.2 Z"
                          fill="#FFFFFF"></path>
                    <rect fill="#FFFFFF" x="0" y="0" width="20" height="20"></rect>
                    <path d="M17.9081826,0 L20,0 L20,20 L0,20 L0,0 L8.68420286,0 L5.83413441,5.5955606 C6.41469312,6.62064144 7.54143727,7.65912203 9.01278802,8.4086341 C10.4841388,9.15814617 11.9872411,9.45876664 13.1582627,9.32564304 L17.9081826,0 Z M4.75924146,8.96705409 L5.12715197,15.967258 L11.0073116,12.1492033 C10.0081564,12.2622273 8.7261499,12.0055929 7.47094293,11.3664831 C6.21573597,10.7267908 5.25532349,9.84240729 4.75924146,8.96705409 Z"
                          fill="#17B7FF"></path>
                </g>
            </g>
        </svg>
    </a>
    <ul class="navbar-nav mr-auto">
        <li class="nav-item">
            <a class="nav-link" href="configuration.html">Configuration</a>
        </li>
        <li>
            <a class="nav-link" href="projects.html">Projects</a>
        </li>
    </ul>
</nav>

<div class="container-fluid" id="app">
    <br>
    <div v-if="error" class="alert alert-warning" role="alert">
        Please <a href="configuration.html">configure</a> your login credentials.
    </div>
    <br>
    <div class="container-fluid col-sm-12">
        <table class="table table-striped table-bordered">
            <thead>
            <tr>
                <th>Project Name</th>
                <th>Status</th>
                <th>Source Language</th>
                <th>Target Languages</th>
            </tr>
            </thead>
            <tbody>
            <tr v-for="p in projects">
                <td>{{ p.name }}</td>
                <td>{{ p.status }}</td>
                <td>{{ p.sourceLang }}</td>
                <td>{{ p.targetLangs }}</td>
            </tr>
            </tbody>
        </table>
        <nav aria-label="Page navigation">
            <ul class="pagination">
                <li class="page-item" v-if="page != 1"><a class="page-link" @click="getProjects(page-1)" href="#">Previous</a>
                </li>
                <li class="page-item" v-for="pageNumber in pages.slice(page-1, page+5)">
                    <a class="page-link" @click="getProjects(pageNumber)" href="#">{{pageNumber}}</a>
                </li>
                <li class="page-item" v-if="page < pages.length"><a class="page-link" @click="getProjects(page+1)"
                                                                    href="#">Next</a></li>
            </ul>
        </nav>
    </div>
</div>

<script src="webjars/vue/vue.min.js"></script>
<script src="webjars/axios/dist/axios.min.js"></script>
<script>
    const pageSize = 30
    new Vue({
        el: '#app',
        data: {
            projects: null,
            page: 1,
            pages: [],
            error: null
        },
        mounted() {
            this.getProjects(this.page);
        },
        methods: {
            getProjects: function (page) {
                this.page = page
                axios.get("/api/projects", {
                    params: {
                        pageSize: pageSize,
                        pageNumber: page - 1
                    }
                }).then(response => {
                    this.error = null
                    this.projects = response.data.content
                    this.pages = []
                    for (let i = 1; i <= response.data.totalPages; i++) {
                        this.pages.push(i);
                    }
                }).catch(e => this.error = e.response.data)
            },
        }
    })
</script>
<script src="/webjars/jquery/jquery.min.js"></script>
<script src="/webjars/bootstrap/js/bootstrap.min.js"></script>
</body>
</html>